---
# tasks file for yumrepo

- name: sanity check
  assert:
      that:
        - repo_server is defined
        - yum_repos is defined
      fail_msg: You need to specify yum_repos and repo_server
      success_msg: yum_repos and repo_server is defined

- name: enable repositories
  yum_repository:
    name: "local-{{ item }}"
    baseurl: "http://{{ repo_server }}/repos/{{ item }}"
    enabled: true
    description: "{{ item }}"
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
  with_items:
    - "{{ yum_repos }}"